Skip to main content
GET
/
organizations
/
{organization}
/
databases
/
{database}
/
maintenance-schedules
List maintenance schedules
curl --request GET \
  --url https://api.planetscale.com/v1/organizations/{organization}/databases/{database}/maintenance-schedules \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.planetscale.com/v1/organizations/{organization}/databases/{database}/maintenance-schedules"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.planetscale.com/v1/organizations/{organization}/databases/{database}/maintenance-schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "type": "<string>",
  "current_page": 123,
  "next_page": 123,
  "next_page_url": "<string>",
  "prev_page": 123,
  "prev_page_url": "<string>",
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "last_window_datetime": "<string>",
      "next_window_datetime": "<string>",
      "duration": 123,
      "day": 123,
      "hour": 123,
      "week": 123,
      "frequency_value": 123,
      "enabled": true,
      "expires_at": "<string>",
      "deadline_at": "<string>",
      "required": true,
      "pending_vitess_version_update": true,
      "pending_vitess_version": "<string>",
      "pending_mysql_version_update": true,
      "pending_mysql_version": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization
string
required

Organization name slug from list_organizations. Example: acme.

database
string
required

Database name slug from list_databases. Example: app-db.

Query Parameters

page
integer
default:1

If provided, specifies the page offset of returned results

per_page
integer
default:25

If provided, specifies the number of returned results

Response

Returns maintenance schedules for the database

type
string
required

The response type. Always "list" for paginated responses.

current_page
integer
required

The current page number

next_page
integer | null
required

The next page number, or null when this is the last page

next_page_url
string | null
required

The next page of results, or null when this is the last page

prev_page
integer | null
required

The previous page number, or null when this is the first page

prev_page_url
string | null
required

The previous page of results, or null when this is the first page

data
object[]
required